Bug 2123258 (CVE-2022-36059) - CVE-2022-36059 Mozilla: Matrix SDK bundled with Thunderbird vulnerable to denial-of-service attack
Summary: CVE-2022-36059 Mozilla: Matrix SDK bundled with Thunderbird vulnerable to den...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-36059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2123264 2123265 2123266 2123267 2123268 2123269 2123270 2123271 2123272
Blocks: 2123245
TreeView+ depends on / blocked
 
Reported: 2022-09-01 09:09 UTC by Mauro Matteo Cascella
Modified: 2022-11-28 07:25 UTC (History)
5 users (show)

Fixed In Version: thunderbird 102.2.1
Doc Type: ---
Doc Text:
A flaw was found in Mozilla. The Mozilla Foundation Security Advisory describes the issue of Thunderbird users who use the Matrix chat protocol being vulnerable to a denial of service attack. An adversary sharing a room with a user could attack affected clients, making it not show all of a user's rooms or spaces and causing minor temporary corruption.
Clone Of:
Environment:
Last Closed: 2022-11-28 07:25:05 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6708 0 None None None 2022-09-26 15:33:58 UTC
Red Hat Product Errata RHSA-2022:6710 0 None None None 2022-09-26 15:12:02 UTC
Red Hat Product Errata RHSA-2022:6713 0 None None None 2022-09-26 14:56:48 UTC
Red Hat Product Errata RHSA-2022:6715 0 None None None 2022-09-26 15:54:50 UTC
Red Hat Product Errata RHSA-2022:6716 0 None None None 2022-09-26 15:39:16 UTC
Red Hat Product Errata RHSA-2022:6717 0 None None None 2022-09-26 16:49:03 UTC

Description Mauro Matteo Cascella 2022-09-01 09:09:45 UTC
Thunderbird users who use the Matrix chat protocol were vulnerable to a denial-of-service attack. An adversary sharing a room with a user had the ability to carry out an attack against affected clients, making it not show all of a user's rooms or spaces and/or causing minor temporary corruption.

External Reference:
https://www.mozilla.org/en-US/security/advisories/mfsa2022-38/#CVE-2022-36059

Comment 2 errata-xmlrpc 2022-09-26 14:56:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:6713 https://access.redhat.com/errata/RHSA-2022:6713

Comment 3 errata-xmlrpc 2022-09-26 15:12:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:6710 https://access.redhat.com/errata/RHSA-2022:6710

Comment 4 errata-xmlrpc 2022-09-26 15:33:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6708 https://access.redhat.com/errata/RHSA-2022:6708

Comment 5 errata-xmlrpc 2022-09-26 15:39:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:6716 https://access.redhat.com/errata/RHSA-2022:6716

Comment 6 errata-xmlrpc 2022-09-26 15:54:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:6715 https://access.redhat.com/errata/RHSA-2022:6715

Comment 7 errata-xmlrpc 2022-09-26 16:49:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6717 https://access.redhat.com/errata/RHSA-2022:6717

Comment 8 Product Security DevOps Team 2022-11-28 07:25:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-36059


Note You need to log in before you can comment on or make changes to this bug.